Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.jcorporate.expresso.core.controller.session.* (3)com.jcorporate.expresso.core.controller.tests.* (6)
com.jcorporate.expresso.core.controller.validation.* (1)

com.jcorporate.expresso.core.controller: Javadoc index of package com.jcorporate.expresso.core.controller.


Package Samples:

com.jcorporate.expresso.core.controller.session: This package contains the object defining the "Controller" object, an important component of Expresso that should be used to encapsulate all user interaction sequences.  
com.jcorporate.expresso.core.controller.validation: This package contains the object defining the "Controller" object, an important component of Expresso that should be used to encapsulate all user interaction sequences.  
com.jcorporate.expresso.core.controller.tests

Classes:

PersistentSession: A PersistentSession is simply a place to stash some values between states of a controller object. Different environments may employ different ways of doing this - the simplest being SimplePersistentSession, where a hashtable does all the required work. The typical way to use a PersistentSession is within a controller object as part of your state handler. You do not instantiate it directly, the controller framework instantiates the appropriate kind of session for you. [Unless you're directly creating a controller yourself, such as in a command line environment, in which case, you would set the session ...
Controller: A sequence of interaction with a user is defined as a "Controller". An Expresso controller is best thought of as a finite state machine. The only real difference is that because of the stateless nature of the web, anybody can reach any state with using the "state" parameter in the URL. Usually for a web deployment environment, you would derive your own controller from DBController, which adds a database-backed Security matrix to the controller's base capabilities. Controllers (and DBControllers) do not necessarily need to be run inside a servlet environment. If they never downcast ...
ServletControllerResponse: A ServletControllerResponse object is an extension that provides wide access to the pure Struts API and Servlet environment. For example you may want to generate dynamic ActionForwards or retrieve access to the ActionMapping class. public AcmeController extends DBController { protected void runProcessOrderState( ControllerRequest req, ControllerRequest res ) { ServletControllerRequest request = (ServletControllerRequest)req; ActionMapping mapping = request.getMapping(); ServletControllerResponse request = (ServletControllerRequest)req; ActionMapping mapping = response.getMapping(); // ... after ...
Transition: An Transition is a choice that the user can make that initiates either another sequence in this same controller or some new controller. A transition is one of the three types of objects that a controller produces when it enters a new state, the others being Input objects and Output objects. Another use of a Transition object is for internal transitioning between various controllers and their states. Typical example is as follows: Transition t = new Transition(); t.setControllerObject(com.myapp.MyController.class); t.setState("State2"); t.addParameter("SampleParam","This is a parameter value"); ...
Input: An Input object is one of the three types of objects generated by a Controller when it transitions from one state to another. The other two are Actions and Outputs. An Input is a request for information from the user. It may or may not have a default value, a list of valid values, and other attributes - any or all of which can be used by the user interface, which can be a JSP, Servlet, application, or even an applet. Recognized Types: The following types are recognized by the expresso framework and automatically rendered: You may add your own types or ignore them if you are doing your own page ...
ControllerInstallLog: This is an implementation of the IntallLog interface that is useful when running installation systems inside controllers. It renders the log messages as a series of outputs with the following rules: For each output, if an exception was logged, there are two nested outputs: One named 'errorMessage' the other 'stackTrace' which contain the exception message and the exception stack trace For each output, a 'color' attribute is set. This attribute can be used at render time to render the font color of the output. Of course, a JSP can use different color schemes, but the concept is to provide highest ...
HTTPPersistentSession: A HTTPPersistentSession is simply a place to stash some values between states of a controller object. Different environments may employ different ways of doing this - the simplest being this one, where a hashtable does all the required work. A servlet environment must use HTTPPersistentSession , which stores it's values in the HTTPSession for storage from one invokation to the next. If you are inside a controller environment, then call ControllerRequest.getSession() to get a PersistentSession object, and do not install this class directly. See the PersistentSession javadoc documentation for an ...
SecureIfSetController: Controller that uses security if the security system is available. There are a class of controllers that are unique in that they need database security working ONLY if the database has already been set up. Otherwise, data components need to be able to be installed, tables created etc. This base class fills the gap by checking to see if there are available connections to the database, checks normal ControllerSecurity if the connections are up and running, but automatically returns true to stateAllowed() queries if there is no up and runnin persistence layer. [Or there is a problem accessing Con ...
SimplePersistentSession: This is an implementation of PersistentSession that is useful for command line usage. The code containing the controller should hand the controller an instantiated SimplePersistentSession so that the state handlers can use ControllerRequest.getSession() and simply use it without any cares in the world. Example Usage: SimplePersistentSession session = new SimplePersistentSession(); Controller con = ConfigManager.getControllerFactory().getController( controllerName); ControllerRequest params = new ControllerRequest(); params.setUid(3); params.setSession(mySession);
Block: A Block is a logical grouping of Expresso Controller Elements used for nesting. Recognized Types: The following types are recognized by the expresso framework and automatically rendered: You may add your own types or ignore them if you are doing your own page rendering. header-row: Renders each subobject in it's own cell with the appropriate jc-header class Make the cells pipe-delimited strings row: Renders all subobjects in one row borderWidth: Renders the table width a paricular border. default behavior: Render as a table/nested table.
ControllerElement: A ControllerElement is the superclass for the three types of objects that are produced by a Controller when it transitions from one state to another. Output, Input and Transition objects all extend this class, and share the behaviors specified here. IMPORTANT NOTE: We don't use Logging (e.g. log4j) in this object, as it is sometimes stored in session when the server shuts down, and must be able to re-instantiate from the serialized form without needing to wait for ConfigManager to be initialized.
State: A State embodies a single state in the finite state machine of a Controller object. Transitioning to a new state causes a Controller to generate a set of Input, Output and Action objects. In order to transition to a new state a controller can require that certain parameters be supplied A state is not inherantly threadsafe. The framework clones the state and hands it off to the multithreaded controller with each state invocation.
ControllerResponse: A ControllerResponse object contains the vector of Inputs, Outputs and Transitions that results from a call to "newState(String)" for a particular controller. Once a state has been processed, the ControllerResponse object is usually saved in the Servlet Request Context where it can be retrieved by JSP tags by querying the request context for an object named "controllerResponse"
NonHandleableException: Exception thrown by ErrorHandler itself, and by some parts of ControllerServlet. Generally, the ErrorHandler controller is called to deal with errors, but if it has an error itself, or ControllerServlet has an error while trying to call it, we can't just call ErrorHandler to deal with it :-), so we throw this Exception to indicate that ErrorHandler should not be called.
Output: An item returned from a controller to provide output/feedback to the client. An Output object is one of the three types of object that can be returned by a Controller moving to a new state. The other two are Input and Action items. An Output item can be a single item, or a list of items, using the "nested" methods in the ControllerElement class.
ControllerRequest: ControllerRequest is a simple "wrapper" object that holds the parameters and data required for a controller to be able to transition to a new state. Developer Notes Because this class can be cloned, please make sure that you add any fields to this class to the clone function.
TilesController: Implementation of the org.apache.struts.tiles.Controller interface. This allows for manipulation of the ControllerResponse for a particular tile before it is displayed, independantly of the State currently being processed. Developers should extend this class and code the execute() method.
ServletControllerRequest: ServletControllerRequest is an extension of ControllerRequest that also contains access to "special" servlet-related items, such as the ServletResponse object. It should only be used *when absolutely necessary*, as normally a standard ControllerParms object is better.
ControllerFactory: Abstract interface for creating a controller. Some situations need to cache the resulting controller. Some situations just need to create it and run. Some need to merge with Struts. This is the interface that ties it all in.
DefaultControllerFactory: This version of Controller Factory acts dumb. If the controller hasn't been create already, it creates it. It is often used for Command Line operations where we don't use the Struts Action Servlet
DefaultForm: * This class is a bridge between Expresso's Controller system and the Struts Action Form. It is automatically utilized by Expresso and you don't have to directly deal with it.
DynamicForwarder: Used for custom dynamic routing. Specify the pageStyle parameter before calling a struts-based controller and the RequestProcessor will pick it up at forward time.
ValidationItem: A ValidationItem encapsulates a single item to be validated, typically an input collected from a web page submission. Creation date: (7/19/00 3:30:40 PM)
DBController: An extension of the basic Controller object that knows how to connect to a database, and how to read it's own security information for each state
ErrorCollection: An ErrorCollection is the Controller-specific ActionErrors collection for Expresso Creation date: (8/29/00 2:10:58 PM)

Home | Contact Us | Privacy Policy | Terms of Service